--- lib/libstand/bootp.c	2014-04-04 12:18:40.000000000 -0700
+++ /home/john/tmp/bootp.c	2014-05-11 20:00:44.000000000 -0700
@@ -186,13 +186,22 @@
 		bp->bp_vend[20] = 4;
 		leasetime = htonl(300);
 		bcopy(&leasetime, &bp->bp_vend[21], 4);
+        
+        /*
+         * Request host and path of root disk (required for Windows Server DHCP)
+         */
+        
+		bp->bp_vend[25] = TAG_PARAM_REQ;
+		bp->bp_vend[26] = 2;
+		bp->bp_vend[27] = TAG_HOSTNAME;
+		bp->bp_vend[28] = TAG_ROOTPATH;
 		if (flag & BOOTP_PXE) {
-			bp->bp_vend[25] = TAG_CLASSID;
-			bp->bp_vend[26] = 9;
-			bcopy("PXEClient", &bp->bp_vend[27], 9);
-			bp->bp_vend[36] = TAG_END;
+			bp->bp_vend[29] = TAG_CLASSID;
+			bp->bp_vend[30] = 9;
+			bcopy("PXEClient", &bp->bp_vend[31], 9);
+			bp->bp_vend[40] = TAG_END;
 		} else
-			bp->bp_vend[25] = TAG_END;
+			bp->bp_vend[29] = TAG_END;
 
 		expected_dhcpmsgtype = DHCPACK;
 
